Bug 643152 - pcmanfm segfaults when called from terminal window or panel icon
pcmanfm segfaults when called from terminal window or panel icon
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pcmanfm (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-14 15:28 EDT by Steven Usdansky
Modified: 2011-01-27 06:59 EST (History)
1 user (show)

See Also:
Fixed In Version: pcmanfm-0.9.9-1.git0f075cf5ba.fc15.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-27 06:59:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Usdansky 2010-10-14 15:28:13 EDT
Description of problem:
pcmanfm segfaults when called from terminal window or panel icon

Version-Release number of selected component (if applicable):
0.9.8-1.fc14

How reproducible:
100%

Steps to Reproduce:
1. open lxterminal window
2. type pcmanfm
3. press enter key
  
Actual results:
Segmentation fault

Expected results:
pcmanfm window will pop up

Additional info:
No problem when clicking on a folder icon - pcmanfm works as it should
Also, pcmanfm --desktop   and   pcmanfm --desktop-pref   appear to work properly
Problem does not occur with pcmanfm-0.9.7-1.fc14
Comment 1 Mamoru TASAKA 2010-10-15 05:16:52 EDT
Would you generate and attach backtrace?
Comment 2 Steven Usdansky 2010-10-15 07:23:12 EDT
I can't - it's no longer segfaulting. It's not doing anything.  (Note: I did reboot this morning). Clicking on the file manager icon in the panel, or entering pcmanfm from a terminal window now does nothing - in the terminal window I just get a system prompt. Clicking on a folder on the desktop still opens a file manager window.


Program versions:
libfm-gtk-0.1.14-1.fc14.x86_64
libfm-0.1.14-1.fc14.x86_64
libfm-debuginfo-0.1.14-1.fc14.x86_64
pcmanfm-debuginfo-0.9.8-1.fc14.x86_64
pcmanfm-0.9.8-1.fc14.x86_64


gdb session:
~$ gdb pcmanfm
GNU gdb (GDB) Fedora (7.2-23.fc14)
         <cut>
Reading symbols from /usr/bin/pcmanfm...Reading symbols from /usr/lib/debug/usr/bin/pcmanfm.debug...done.
done.
(gdb) run
Starting program: /usr/bin/pcmanfm 
[Thread debugging using libthread_db enabled]

Program exited normally.
Missing separate debuginfos, use: debuginfo-install atk-1.32.0-1.fc14.1.x86_64 glibc-2.12.90-16.x86_64 libxcb-1.7-1.fc14.x86_64
Comment 3 Steven Usdansky 2011-01-27 06:59:16 EST
Closing bug - fixed in Rawhide w/ pcmanfm-0.9.9-1.git0f075cf5ba.fc15.x86_64

Note You need to log in before you can comment on or make changes to this bug.